Skip to main content
POST
Cancel an order (only while it is awaiting payment)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
reason
string
Example:

"Ordered the wrong size"

Response

200 - application/json
id
string
required
orderNumber
string
required
date
string
required
status
enum<string>
required
Available options:
PENDING_PAYMENT,
CONFIRMED,
PROCESSING,
DISPATCHED,
DELIVERED,
CANCELLED,
REFUNDED
type
enum<string>
required
Available options:
RETAIL,
TRADE
items
object[]
required
bundles
object[]
required

Bundle packages bought, each at its bundle price

subtotalAmount
number
required

Items + bundles

deliveryAmount
number
required
rewardAmount
number
required

What loyalty points took off

pointsRedeemed
number
required

Loyalty points spent on this order

discountAmount
number
required

Taken off the subtotal by the discount applied at checkout

discounts
object[]
required

The discount(s) behind discountAmount — at most one today

totalAmount
number
required
deliveryInfo
object
required
orderInfo
object
required